diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/edit-tags.php ./wordpress-3.3/wp-admin/edit-tags.php
*** ./wordpress-3.2.1/wp-admin/edit-tags.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/edit-tags.php	2011-11-30 22:51:35.000000000 -0600
***************
*** 8,15 ****
  
  /** WordPress Administration Bootstrap */
  require_once('./admin.php');
  $tax = get_taxonomy( $taxnow );
! if ( !current_user_can( $tax->cap->manage_terms ) )
  	wp_die( __( 'Cheatin&#8217; uh?' ) );
  
  $wp_list_table = _get_list_table('WP_Terms_List_Table');
--- 8,23 ----
  
  /** WordPress Administration Bootstrap */
  require_once('./admin.php');
+ 
+ if ( ! $taxnow )
+ 	wp_die( __( 'Invalid taxonomy' ) );
+ 
  $tax = get_taxonomy( $taxnow );
! 
! if ( ! $tax )
! 	wp_die( __( 'Invalid taxonomy' ) );
! 
! if ( ! current_user_can( $tax->cap->manage_terms ) )
  	wp_die( __( 'Cheatin&#8217; uh?' ) );
  
  $wp_list_table = _get_list_table('WP_Terms_List_Table');
***************
*** 113,122 ****
  case 'edit':
  	$title = $tax->labels->edit_item;
  
- 	require_once ( 'admin-header.php' );
  	$tag_ID = (int) $_REQUEST['tag_ID'];
  
  	$tag = get_term( $tag_ID, $taxonomy, OBJECT, 'edit' );
  	include( './edit-tag-form.php' );
  
  break;
--- 121,132 ----
  case 'edit':
  	$title = $tax->labels->edit_item;
  
  	$tag_ID = (int) $_REQUEST['tag_ID'];
  
  	$tag = get_term( $tag_ID, $taxonomy, OBJECT, 'edit' );
+ 	if ( ! $tag )
+ 		wp_die( __( 'You attempted to edit an item that doesn&#8217;t exist. Perhaps it was deleted?' ) );
+ 	require_once ( 'admin-header.php' );
  	include( './edit-tag-form.php' );
  
  break;
***************
*** 128,133 ****
--- 138,147 ----
  	if ( !current_user_can( $tax->cap->edit_terms ) )
  		wp_die( __( 'Cheatin&#8217; uh?' ) );
  
+ 	$tag = get_term( $tag_ID, $taxonomy );
+ 	if ( ! $tag )
+ 		wp_die( __( 'You attempted to edit an item that doesn&#8217;t exist. Perhaps it was deleted?' ) );
+ 
  	$ret = wp_update_term( $tag_ID, $taxonomy, $_POST );
  
  	$location = 'edit-tags.php?taxonomy=' . $taxonomy;
***************
*** 176,224 ****
  	if ( 'category' == $taxonomy )
  		$help = '<p>' . sprintf(__( 'You can use categories to define sections of your site and group related posts. The default category is &#8220;Uncategorized&#8221; until you change it in your <a href="%s">writing settings</a>.' ) , 'options-writing.php' ) . '</p>';
  	elseif ( 'link_category' == $taxonomy )
! 		$help = '<p>' . __( 'You can create groups of links by using link categories. Link category names must be unique and link categories are separate from the categories you use for posts.' ) . '</p>';
  	else
! 		$help = '<p>' . __( 'You can assign keywords to your posts using Post Tags. Unlike categories, tags have no hierarchy, meaning there&#8217;s no relationship from one tag to another.' ) . '</p>';
  
  	if ( 'link_category' == $taxonomy )
! 		$help .= '<p>' . __( 'You can delete link categories in the Bulk Action pulldown, but that action does not delete the links within the category. Instead, it moves them to the default link category.' ) . '</p>';
  	else
  		$help .='<p>' . __( 'What&#8217;s the difference between categories and tags? Normally, tags are ad-hoc keywords that identify important information in your post (names, subjects, etc) that may or may not recur in other posts, while categories are pre-determined sections. If you think of your site like a book, the categories are like the Table of Contents and the tags are like the terms in the index.' ) . '</p>';
  
! 	if ( 'category' == $taxonomy )
! 		$help .= '<p>' . __( 'When adding a new category on this screen, you&#8217;ll fill in the following fields:' ) . '</p>';
! 	elseif ( 'post_tag' == $taxonomy )
! 		$help .= '<p>' . __( 'When adding a new tag on this screen, you&#8217;ll fill in the following fields:' ) . '</p>';
! 
! 	if ( 'category' == $taxonomy || 'post_tag' == $taxonomy  )
  
  		$help .= '<ul>' .
  		'<li>' . __( '<strong>Name</strong> - The name is how it appears on your site.' ) . '</li>';
  
! 	if ( ! global_terms_enabled()  )
! 	if ( 'category' == $taxonomy || 'post_tag' == $taxonomy  )
! 		$help .= '<li>' . __( '<strong>Slug</strong> - The &#8220;slug&#8221; is the URL-friendly version of the name. It is usually all lowercase and contains only letters, numbers, and hyphens.' ) . '</li>';
  
! 	if ( 'category' == $taxonomy )
! 		$help .= '<li>' . __( '<strong>Parent</strong> - Categories, unlike tags, can have a hierarchy. You might have a Jazz category, and under that have children categories for Bebop and Big Band. Totally optional. To create a subcategory, just choose another category from the Parent dropdown.' ) . '</li>';
  
- 	if ( 'category' == $taxonomy || 'post_tag' == $taxonomy  )
  		$help .= '<li>' . __( '<strong>Description</strong> - The description is not prominent by default; however, some themes may display it.' ) . '</li>' .
  		'</ul>' .
! 		'<p>' . __( 'You can change the display of this screen using the Screen Options tab to set how many items are displayed per screen and to display/hide columns in the table.' ) . '</p>' .
! 		'<p><strong>' . __( 'For more information:' ) . '</strong></p>';
  
  	if ( 'category' == $taxonomy )
  		$help .= '<p>' . __( '<a href="http://codex.wordpress.org/Posts_Categories_Screen" target="_blank">Documentation on Categories</a>' ) . '</p>';
  	elseif ( 'link_category' == $taxonomy )
  		$help .= '<p>' . __( '<a href="http://codex.wordpress.org/Links_Link_Categories_Screen" target="_blank">Documentation on Link Categories</a>' ) . '</p>';
  	else
! 		$help .= '<p>' . __( '<a href="http://codex.wordpress.org/Posts_Post_Tags_Screen" target="_blank">Documentation on Post Tags</a>' ) . '</p>';
  
  	$help .= '<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>';
  
! 	add_contextual_help($current_screen, $help);
! 	unset($help);
  }
  
  require_once ('admin-header.php');
--- 190,250 ----
  	if ( 'category' == $taxonomy )
  		$help = '<p>' . sprintf(__( 'You can use categories to define sections of your site and group related posts. The default category is &#8220;Uncategorized&#8221; until you change it in your <a href="%s">writing settings</a>.' ) , 'options-writing.php' ) . '</p>';
  	elseif ( 'link_category' == $taxonomy )
! 		$help = '<p>' . __( 'You can create groups of links by using Link Categories. Link Category names must be unique and Link Categories are separate from the categories you use for posts.' ) . '</p>';
  	else
! 		$help = '<p>' . __( 'You can assign keywords to your posts using <strong>tags</strong>. Unlike categories, tags have no hierarchy, meaning there&#8217;s no relationship from one tag to another.' ) . '</p>';
  
  	if ( 'link_category' == $taxonomy )
! 		$help .= '<p>' . __( 'You can delete Link Categories in the Bulk Action pulldown, but that action does not delete the links within the category. Instead, it moves them to the default Link Category.' ) . '</p>';
  	else
  		$help .='<p>' . __( 'What&#8217;s the difference between categories and tags? Normally, tags are ad-hoc keywords that identify important information in your post (names, subjects, etc) that may or may not recur in other posts, while categories are pre-determined sections. If you think of your site like a book, the categories are like the Table of Contents and the tags are like the terms in the index.' ) . '</p>';
  
! 	get_current_screen()->add_help_tab( array(
! 		'id'      => 'overview',
! 		'title'   => __('Overview'),
! 		'content' => $help,
! 	) );
! 
! 	if ( 'category' == $taxonomy || 'post_tag' == $taxonomy ) {
! 		if ( 'category' == $taxonomy )
! 			$help = '<p>' . __( 'When adding a new category on this screen, you&#8217;ll fill in the following fields:' ) . '</p>';
! 		else
! 			$help = '<p>' . __( 'When adding a new tag on this screen, you&#8217;ll fill in the following fields:' ) . '</p>';
  
  		$help .= '<ul>' .
  		'<li>' . __( '<strong>Name</strong> - The name is how it appears on your site.' ) . '</li>';
  
! 		if ( ! global_terms_enabled() )
! 			$help .= '<li>' . __( '<strong>Slug</strong> - The &#8220;slug&#8221; is the URL-friendly version of the name. It is usually all lowercase and contains only letters, numbers, and hyphens.' ) . '</li>';
  
! 		if ( 'category' == $taxonomy )
! 			$help .= '<li>' . __( '<strong>Parent</strong> - Categories, unlike tags, can have a hierarchy. You might have a Jazz category, and under that have children categories for Bebop and Big Band. Totally optional. To create a subcategory, just choose another category from the Parent dropdown.' ) . '</li>';
  
  		$help .= '<li>' . __( '<strong>Description</strong> - The description is not prominent by default; however, some themes may display it.' ) . '</li>' .
  		'</ul>' .
! 		'<p>' . __( 'You can change the display of this screen using the Screen Options tab to set how many items are displayed per screen and to display/hide columns in the table.' ) . '</p>';
! 
! 		get_current_screen()->add_help_tab( array(
! 			'id'      => 'adding-terms',
! 			'title'   => 'category' == $taxonomy ? __( 'Adding Categories' ) : __( 'Adding Tags' ),
! 			'content' => $help,
! 		) );
! 	}
! 
! 	$help = '<p><strong>' . __( 'For more information:' ) . '</strong></p>';
  
  	if ( 'category' == $taxonomy )
  		$help .= '<p>' . __( '<a href="http://codex.wordpress.org/Posts_Categories_Screen" target="_blank">Documentation on Categories</a>' ) . '</p>';
  	elseif ( 'link_category' == $taxonomy )
  		$help .= '<p>' . __( '<a href="http://codex.wordpress.org/Links_Link_Categories_Screen" target="_blank">Documentation on Link Categories</a>' ) . '</p>';
  	else
! 		$help .= '<p>' . __( '<a href="http://codex.wordpress.org/Posts_Tags_Screen" target="_blank">Documentation on Tags</a>' ) . '</p>';
  
  	$help .= '<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>';
  
! 	get_current_screen()->set_help_sidebar( $help );
! 
! 	unset( $help );
  }
  
  require_once ('admin-header.php');
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/export.php ./wordpress-3.3/wp-admin/export.php
*** ./wordpress-3.2.1/wp-admin/export.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-admin/export.php	2011-11-30 19:17:14.000000000 -0600
***************
*** 38,46 ****
  }
  add_action( 'admin_head', 'add_js' );
  
! add_contextual_help( $current_screen,
! 	'<p>' . __('You can export a file of your site&#8217;s content in order to import it into another installation or platform. The export file will be an XML file format called WXR. Posts, pages, comments, custom fields, categories, and tags can be included. You can choose for the WXR file to include only certain posts or pages by setting the dropdown filters to  limit the export by category, author, date range by month, or publishing status.') . '</p>' .
! 	'<p>' . __('Once generated, your WXR file can be imported by another WordPress site or by another blogging platform able to access this format.') . '</p>' .
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Tools_Export_Screen" target="_blank">Documentation on Export</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
--- 38,51 ----
  }
  add_action( 'admin_head', 'add_js' );
  
! get_current_screen()->add_help_tab( array(
! 	'id'      => 'overview',
! 	'title'   => __('Overview'),
! 	'content' => '<p>' . __('You can export a file of your site&#8217;s content in order to import it into another installation or platform. The export file will be an XML file format called WXR. Posts, pages, comments, custom fields, categories, and tags can be included. You can choose for the WXR file to include only certain posts or pages by setting the dropdown filters to  limit the export by category, author, date range by month, or publishing status.') . '</p>' .
! 		'<p>' . __('Once generated, your WXR file can be imported by another WordPress site or by another blogging platform able to access this format.') . '</p>',
! ) );
! 
! get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Tools_Export_Screen" target="_blank">Documentation on Export</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
***************
*** 120,126 ****
  
  <p><?php _e('When you click the button below WordPress will create an XML file for you to save to your computer.'); ?></p>
  <p><?php _e('This format, which we call WordPress eXtended RSS or WXR, will contain your posts, pages, comments, custom fields, categories, and tags.'); ?></p>
! <p><?php _e('Once you&#8217;ve saved the download file, you can use the Import function in another WordPress installation to import this site.'); ?></p>
  
  <h3><?php _e( 'Choose what to export' ); ?></h3>
  <form action="" method="get" id="export-filters">
--- 125,131 ----
  
  <p><?php _e('When you click the button below WordPress will create an XML file for you to save to your computer.'); ?></p>
  <p><?php _e('This format, which we call WordPress eXtended RSS or WXR, will contain your posts, pages, comments, custom fields, categories, and tags.'); ?></p>
! <p><?php _e('Once you&#8217;ve saved the download file, you can use the Import function in another WordPress installation to import the content from this site.'); ?></p>
  
  <h3><?php _e( 'Choose what to export' ); ?></h3>
  <form action="" method="get" id="export-filters">
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/freedoms.php ./wordpress-3.3/wp-admin/freedoms.php
*** ./wordpress-3.2.1/wp-admin/freedoms.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/freedoms.php	2011-12-01 17:13:56.000000000 -0600
***************
*** 10,30 ****
  require_once( './admin.php' );
  
  $title = __( 'Freedoms' );
! $parent_file = 'index.php';
  
  include( './admin-header.php' );
  ?>
! <div class="wrap">
! <?php screen_icon(); ?>
! <h2><?php _e( 'Freedoms' ); ?></h2>
  
! <p><?php printf( __( 'WordPress is Free and open source software, built by a distributed community of mostly volunteer developers from around the world. WordPress comes with some awesome, worldview-changing rights courtesy of its <a href="%s">license</a>, the GPL.' ), 'http://wordpress.org/about/license/' ); ?></p>
  
  <ol start="0">
! 	<li><?php _e( 'You have the freedom to run the program, for any purpose.' ); ?></li>
! 	<li><?php _e( 'You have access to the source code, the freedom to study how the program works, and the freedom to change it to make it do what you wish.' ); ?></li>
! 	<li><?php _e( 'You have the freedom to redistribute copies of the original program so you can help your neighbor.' ); ?></li>
! 	<li><?php _e( 'You have the freedom to distribute copies of your modified versions to others. By doing this you can give the whole community a chance to benefit from your changes.' ); ?></li>
  </ol>
  
  <p><?php printf( __( 'WordPress grows when people like you tell their friends about it, and the thousands of businesses and services that are built on and around WordPress share that fact with their users. We&#8217;re flattered every time someone spreads the good word, just make sure to <a href="%s">check out our trademark guidelines</a> first.' ), 'http://wordpressfoundation.org/trademark-policy/' ); ?></p>
--- 10,45 ----
  require_once( './admin.php' );
  
  $title = __( 'Freedoms' );
! 
! list( $display_version ) = explode( '-', $wp_version );
  
  include( './admin-header.php' );
  ?>
! <div class="wrap about-wrap">
! 
! <h1><?php printf( __( 'Welcome to WordPress %s' ), $display_version ); ?></h1>
! 
! <div class="about-text"><?php printf( __( 'Thank you for updating to the latest version! Using WordPress %s will improve your looks, personality, and web publishing experience. Okay, just the last one, but still. :)' ), $display_version ); ?></div>
! 
! <div class="wp-badge"><?php printf( __( 'Version %s' ), $display_version ); ?></div>
! 
! <h2 class="nav-tab-wrapper">
! 	<a href="about.php" class="nav-tab">
! 		<?php _e( 'What&#8217;s New' ); ?>
! 	</a><a href="credits.php" class="nav-tab">
! 		<?php _e( 'Credits' ); ?>
! 	</a><a href="freedoms.php" class="nav-tab nav-tab-active">
! 		<?php _e( 'Freedoms' ); ?>
! 	</a>
! </h2>
  
! <p class="about-description"><?php printf( __( 'WordPress is Free and open source software, built by a distributed community of mostly volunteer developers from around the world. WordPress comes with some awesome, worldview-changing rights courtesy of its <a href="%s">license</a>, the GPL.' ), 'http://wordpress.org/about/license/' ); ?></p>
  
  <ol start="0">
! 	<li><p><?php _e( 'You have the freedom to run the program, for any purpose.' ); ?></p></li>
! 	<li><p><?php _e( 'You have access to the source code, the freedom to study how the program works, and the freedom to change it to make it do what you wish.' ); ?></p></li>
! 	<li><p><?php _e( 'You have the freedom to redistribute copies of the original program so you can help your neighbor.' ); ?></p></li>
! 	<li><p><?php _e( 'You have the freedom to distribute copies of your modified versions to others. By doing this you can give the whole community a chance to benefit from your changes.' ); ?></p></li>
  </ol>
  
  <p><?php printf( __( 'WordPress grows when people like you tell their friends about it, and the thousands of businesses and services that are built on and around WordPress share that fact with their users. We&#8217;re flattered every time someone spreads the good word, just make sure to <a href="%s">check out our trademark guidelines</a> first.' ), 'http://wordpressfoundation.org/trademark-policy/' ); ?></p>
Binary files ./wordpress-3.2.1/wp-admin/images/icons32.png and ./wordpress-3.3/wp-admin/images/icons32.png differ
Binary files ./wordpress-3.2.1/wp-admin/images/icons32-vs.png and ./wordpress-3.3/wp-admin/images/icons32-vs.png differ
Binary files ./wordpress-3.2.1/wp-admin/images/media-button.png and ./wordpress-3.3/wp-admin/images/media-button.png differ
Binary files ./wordpress-3.2.1/wp-admin/images/menu.png and ./wordpress-3.3/wp-admin/images/menu.png differ
Binary files ./wordpress-3.2.1/wp-admin/images/menu-vs.png and ./wordpress-3.3/wp-admin/images/menu-vs.png differ
Binary files ./wordpress-3.2.1/wp-admin/images/screenshots/admin-flyouts.png and ./wordpress-3.3/wp-admin/images/screenshots/admin-flyouts.png differ
Binary files ./wordpress-3.2.1/wp-admin/images/screenshots/coediting.png and ./wordpress-3.3/wp-admin/images/screenshots/coediting.png differ
Binary files ./wordpress-3.2.1/wp-admin/images/screenshots/drag-and-drop.png and ./wordpress-3.3/wp-admin/images/screenshots/drag-and-drop.png differ
Binary files ./wordpress-3.2.1/wp-admin/images/screenshots/help-screen.png and ./wordpress-3.3/wp-admin/images/screenshots/help-screen.png differ
Binary files ./wordpress-3.2.1/wp-admin/images/screenshots/media-icon.png and ./wordpress-3.3/wp-admin/images/screenshots/media-icon.png differ
Binary files ./wordpress-3.2.1/wp-admin/images/screenshots/new-feature-pointer.png and ./wordpress-3.3/wp-admin/images/screenshots/new-feature-pointer.png differ
Binary files ./wordpress-3.2.1/wp-admin/images/screenshots/welcome-screen.png and ./wordpress-3.3/wp-admin/images/screenshots/welcome-screen.png differ
Binary files ./wordpress-3.2.1/wp-admin/images/wp-badge.png and ./wordpress-3.3/wp-admin/images/wp-badge.png differ
Binary files ./wordpress-3.2.1/wp-admin/images/xit.gif and ./wordpress-3.3/wp-admin/images/xit.gif differ
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/import.php ./wordpress-3.3/wp-admin/import.php
*** ./wordpress-3.2.1/wp-admin/import.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-admin/import.php	2011-11-30 19:17:14.000000000 -0600
***************
*** 16,24 ****
  
  $title = __('Import');
  
! add_contextual_help($current_screen,
! 	'<p>' . __('This screen lists links to plugins to import data from blogging/content management platforms. Choose the platform you want to import from, and click Install Now when you are prompted in the popup window. If your platform is not listed, click the link to search the plugin directory for other importer plugins to see if there is one for your platform.') . '</p>' .
! 	'<p>' . __('In previous versions of WordPress, all the importers were built-in, but they have been turned into plugins as of version 3.0 since most people only use them once or infrequently.') . '</p>' .
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Tools_Import_Screen" target="_blank">Documentation on Import</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
--- 16,30 ----
  
  $title = __('Import');
  
! get_current_screen()->add_help_tab( array(
! 	'id'      => 'overview',
! 	'title'   => __('Overview'),
! 	'content' => '<p>' . __('This screen lists links to plugins to import data from blogging/content management platforms. Choose the platform you want to import from, and click Install Now when you are prompted in the popup window. If your platform is not listed, click the link to search the plugin directory for other importer plugins to see if there is one for your platform.') . '</p>' .
! 		'<p>' . __('In previous versions of WordPress, all importers were built-in.  They have been turned into plugins since most people only use them once or infrequently.') . '</p>',
! ) );
! 
! 
! get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Tools_Import_Screen" target="_blank">Documentation on Import</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
***************
*** 33,38 ****
--- 39,45 ----
  		'movabletype' => array( __('Movable Type and TypePad'), __('Install the Movable Type importer to import posts and comments from a Movable Type or TypePad blog.'), 'install', 'mt' ),
  		'opml' => array( __('Blogroll'), __('Install the blogroll importer to import links in OPML format.'), 'install' ),
  		'rss' => array( __('RSS'), __('Install the RSS importer to import posts from an RSS feed.'), 'install' ),
+ 		'tumblr' => array( __('Tumblr'), __('Install the Tumblr importer to import posts &amp; media from Tumblr using their API.'), 'install' ),
  		'wordpress' => array( 'WordPress', __('Install the WordPress importer to import posts, pages, comments, custom fields, categories, and tags from a WordPress export file.'), 'install' )
  	);
  
***************
*** 43,49 ****
  
  add_thickbox();
  wp_enqueue_script( 'plugin-install' );
- wp_admin_css( 'plugin-install' );
  
  require_once ('admin-header.php');
  $parent_file = 'tools.php';
--- 50,55 ----
***************
*** 59,87 ****
  
  <?php
  
- // Load all importers so that they can register.
- $import_loc = 'wp-admin/import';
- $import_root = ABSPATH . $import_loc;
- 
- if ( file_exists( $import_root ) ) {
- 	$imports_dir = opendir($import_root);
- 	if ($imports_dir) {
- 		while (($file = readdir($imports_dir)) !== false) {
- 			if ($file[0] == '.') {
- 				continue;
- 			} elseif (substr($file, -4) == '.php') {
- 				require_once($import_root . '/' . $file);
- 			}
- 		}
- 	}
- 	closedir( $imports_dir );
- }
- 
  $importers = get_importers();
  
  // If a popular importer is not registered, create a dummy registration that links to the plugin installer.
  foreach ( $popular_importers as $pop_importer => $pop_data ) {
! 	if ( isset($importers[$pop_importer] ) )
  		continue;
  	if ( isset( $pop_data[3] ) && isset( $importers[ $pop_data[3] ] ) )
  		continue;
--- 65,75 ----
  
  <?php
  
  $importers = get_importers();
  
  // If a popular importer is not registered, create a dummy registration that links to the plugin installer.
  foreach ( $popular_importers as $pop_importer => $pop_data ) {
! 	if ( isset( $importers[$pop_importer] ) )
  		continue;
  	if ( isset( $pop_data[3] ) && isset( $importers[ $pop_data[3] ] ) )
  		continue;
***************
*** 89,100 ****
  	$importers[$pop_importer] = $popular_importers[$pop_importer];
  }
  
! if (empty ($importers)) {
  	echo '<p>'.__('No importers are available.').'</p>'; // TODO: make more helpful
  } else {
  	uasort($importers, create_function('$a, $b', 'return strcmp($a[0], $b[0]);'));
  ?>
! <table class="widefat" cellspacing="0">
  
  <?php
  	$style = '';
--- 77,88 ----
  	$importers[$pop_importer] = $popular_importers[$pop_importer];
  }
  
! if ( empty($importers) ) {
  	echo '<p>'.__('No importers are available.').'</p>'; // TODO: make more helpful
  } else {
  	uasort($importers, create_function('$a, $b', 'return strcmp($a[0], $b[0]);'));
  ?>
! <table class="widefat importers" cellspacing="0">
  
  <?php
  	$style = '';
***************
*** 113,122 ****
  											'"title="' . esc_attr__('Activate importer') . '"">' . $data[0] . '</a>';
  				}
  			}
! 			if ( empty($action) )
! 				$action = '<a href="' . esc_url( network_admin_url( 'plugin-install.php?tab=plugin-information&plugin=' . $plugin_slug .
  										'&from=import&TB_iframe=true&width=600&height=550' ) ) . '" class="thickbox" title="' .
  										esc_attr__('Install importer') . '">' . $data[0] . '</a>';
  		} else {
  			$action = "<a href='" . esc_url("admin.php?import=$id") . "' title='" . esc_attr( wptexturize(strip_tags($data[1])) ) ."'>{$data[0]}</a>";
  		}
--- 101,116 ----
  											'"title="' . esc_attr__('Activate importer') . '"">' . $data[0] . '</a>';
  				}
  			}
! 			if ( empty($action) ) {
! 				if ( is_main_site() ) {
! 					$action = '<a href="' . esc_url( network_admin_url( 'plugin-install.php?tab=plugin-information&plugin=' . $plugin_slug .
  										'&from=import&TB_iframe=true&width=600&height=550' ) ) . '" class="thickbox" title="' .
  										esc_attr__('Install importer') . '">' . $data[0] . '</a>';
+ 				} else {
+ 					$action = $data[0];
+ 					$data[1] = sprintf( __( 'This importer is not installed. Please install importers from <a href="%s">the main site</a>.' ), get_admin_url( $current_site->blog_id, 'import.php' ) );
+ 				}
+ 			}
  		} else {
  			$action = "<a href='" . esc_url("admin.php?import=$id") . "' title='" . esc_attr( wptexturize(strip_tags($data[1])) ) ."'>{$data[0]}</a>";
  		}
***************
*** 136,142 ****
  }
  
  if ( current_user_can('install_plugins') )
! 	echo '<p>' . sprintf( __('If the importer you need is not listed, <a href="%s">search the plugins directory</a> to see if an importer is available.'), esc_url( network_admin_url( 'plugin-install.php?tab=search&type=tag&s=importer' ) ) ) . '</p>';
  ?>
  
  </div>
--- 130,136 ----
  }
  
  if ( current_user_can('install_plugins') )
! 	echo '<p>' . sprintf( __('If the importer you need is not listed, <a href="%s">search the plugin directory</a> to see if an importer is available.'), esc_url( network_admin_url( 'plugin-install.php?tab=search&type=tag&s=importer' ) ) ) . '</p>';
  ?>
  
  </div>
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/includes/admin.php ./wordpress-3.3/wp-admin/includes/admin.php
*** ./wordpress-3.2.1/wp-admin/includes/admin.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/includes/admin.php	2011-11-30 18:36:19.000000000 -0600
***************
*** 33,38 ****
--- 33,41 ----
  /** WordPress Post Administration API */
  require_once(ABSPATH . 'wp-admin/includes/post.php');
  
+ /** WordPress Administration Screen API */
+ require_once(ABSPATH . 'wp-admin/includes/screen.php');
+ 
  /** WordPress Taxonomy Administration API */
  require_once(ABSPATH . 'wp-admin/includes/taxonomy.php');
  
***************
*** 55,61 ****
  /** WordPress Deprecated Administration API */
  require_once(ABSPATH . 'wp-admin/includes/deprecated.php');
  
! /** WordPress Multi-Site support API */
  if ( is_multisite() ) {
  	require_once(ABSPATH . 'wp-admin/includes/ms.php');
  	require_once(ABSPATH . 'wp-admin/includes/ms-deprecated.php');
--- 58,64 ----
  /** WordPress Deprecated Administration API */
  require_once(ABSPATH . 'wp-admin/includes/deprecated.php');
  
! /** WordPress Multisite support API */
  if ( is_multisite() ) {
  	require_once(ABSPATH . 'wp-admin/includes/ms.php');
  	require_once(ABSPATH . 'wp-admin/includes/ms-deprecated.php');
